Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures
Class SyntheticTouchGestureEvent<H extends EventHandler,E extends TouchEvent<? extends EventHandler>>

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
              com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.SyntheticTouchGestureEvent<H,E>

Direct Known Subclasses:
  ButtonTapEvent, DragCancelEvent, DragEndEvent, DragMoveEvent, DragStartEvent, MultiFingerTapEvent, PinchCancelEvent, PinchChangeEvent, PinchEndEvent, PinchStartEvent, TapEvent

    public abstract class SyntheticTouchGestureEvent<H extends EventHandler,E extends TouchEvent<? extends EventHandler>>

extends SyntheticEvent<H,E>

The base class for all gesture events which are synthesized from touch events.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`protected` | `SyntheticTouchGestureEvent(E sourceEvent)` Creates a new `SyntheticTouchGestureEvent` with the specified source touch event from which it was synthesized.

Method Summary

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, dispatch, getAssociatedType, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyntheticTouchGestureEvent

    protected SyntheticTouchGestureEvent(E sourceEvent)

  Creates a new `SyntheticTouchGestureEvent` with the specified source touch event from which it was synthesized.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD